angular.module('app', ['ionic', 'app.controllers', 'app.services', 'ionic-material'])

.run(function($ionicPlatform, $state) {
  $ionicPlatform.ready(function() {
    if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);
    }
    if (window.StatusBar) {
      StatusBar.styleDefault();
    }
  });
})

.config(function($stateProvider, $urlRouterProvider, $ionicConfigProvider) {

    $stateProvider
    .state('home', {
      url: '/home',
      abstract: true,
      cache : false,
      templateUrl: 'templates/home.html',
      controller: 'HomeCtrl'
    })
      .state('home.auth',{
        url: '/auth',
        cache: false,
        views : {
          'auth' : {
            templateUrl : 'templates/auth.html',
            controller : 'AuthCtrl'
          }
        }
      })
    .state('home.cleaner', {
      url: '/cleaner',
      cache: false,
      views: {
        'cleaner': {
          templateUrl: 'templates/cleaner.html',
          controller: 'CleanerCtrl'
        }
      }
    })
    .state('home.profile', {
      url: '/profile',
      cache: false,
      views: {
        'profile': {
          templateUrl: 'templates/profile.html',
          controller: 'ProfileCtrl'
        }
      }
    })
    .state('home.settings', {
      url: '/settings',
      cache : false,
      views : {
        'settings' : {
          templateUrl: 'templates/settings.html',
          controller: 'SettingsCtrl'
        }
      }
    })
    .state('home.wall', {
        url: '/wall',
        cache : false,
        views : {
          'cleaner' : {
            templateUrl: 'templates/wall.html',
            controller: 'WallCtrl'
          }
        }
      })
      .state('home.dialogs', {
        url: '/dialogs',
        cache : false,
        views : {
          'cleaner' : {
            templateUrl: 'templates/dialogs.html',
            controller: 'DialogsCtrl'
          }
        }
      })
    .state('home.process',{
      url: '/process',
      cache: true,
      views : {
        'cleaner' : {
          templateUrl: 'templates/process.html',
          controller: 'ProcessCtrl'
        }
      }
    })
    .state('home.wall_from', {
      url: '/wall_from',
      cache: false,
      views : {
        'cleaner' : {
          templateUrl : 'templates/wall_from.html',
          controller : 'WallFromCtrl'
        }
      }
    })
    .state('home.wall_date', {
        url: '/wall_date',
        cache: false,
        views : {
          'cleaner' : {
            templateUrl : 'templates/wall_date.html',
            controller : 'WallDateCtrl'
          }
        }
    })
    .state('home.wall_content', {
        url: '/wall_content',
        cache: false,
        views : {
          'cleaner' : {
            templateUrl : 'templates/wall_content.html',
            controller : 'WallContentCtrl'
          }
        }
      })
      .state('home.wall_likes', {
        url: '/wall_likes',
        cache: false,
        views : {
          'cleaner' : {
            templateUrl : 'templates/wall_likes.html',
            controller : 'WallLikesCtrl'
          }
        }
      })
      .state('home.communities', {
        url : '/communities',
        cache : false,
        views : {
          'cleaner' : {
            templateUrl : 'templates/communities.html',
            controller : 'CommunitiesCtrl'
          }
        }
      })
      .state('home.communities_members', {
        url : '/communities_members',
        cache : false,
        views : {
          'cleaner' : {
            templateUrl : 'templates/members_number.html',
            controller : 'CommunityMembersCtrl'
          }
        }
      })
      .state('home.photos', {
        url : '/photos',
        cache : false,
        views : {
          'cleaner' : {
            templateUrl : 'templates/photos.html',
            controller : 'PhotosCtrl'
          }
        }
      })
      .state('home.photoLikes', {
        url : '/photo_likes',
        cache : false,
        views : {
          'cleaner' : {
            templateUrl : 'templates/photo_likes.html',
            controller : 'PhotoLikesCtrl'
          }
        }
      })
      .state('home.photoAlbums', {
        url : '/photo_albums',
        cache : false,
        views : {
          'cleaner' : {
            templateUrl : 'templates/photo_albums.html',
            controller : 'PhotoAlbumsCtrl'
          }
        }
      })
      .state('home.audio', {
        url : '/audio',
        cache : false,
        views : {
          'cleaner' : {
            templateUrl : 'templates/audio.html',
            controller : 'AudioCtrl'
          }
        }
      })
      .state('home.audio_artist', {
        url : '/audio_artist',
        cache : false,
        views : {
          'cleaner' : {
            templateUrl : 'templates/audio_artist.html',
            controller : 'AudioArtistCtrl'
          }
        }
      })
      .state('home.videos', {
        url : '/videos',
        cache : false,
        views : {
          'cleaner' : {
            templateUrl : 'templates/videos.html',
            controller : 'VideosCtrl'
          }
        }
      })
      .state('home.friends', {
        url : '/friends',
        cache : false,
        views : {
          'cleaner' : {
            templateUrl : 'templates/friends.html',
            controller : 'FriendsCtrl'
          }
        }
      })
      .state('home.bookmarks', {
        url : '/bookmarks',
        cache : false,
        views : {
          'cleaner' : {
            templateUrl : 'templates/bookmarks.html',
            controller : 'BookmarksCtrl'
          }
        }
      })
      .state('home.last_seen', {
        url : '/last_seen',
        cache : false,
        views : {
          'cleaner' : {
            templateUrl : 'templates/last_seen.html',
            controller : 'LastSeenCtrl'
          }
        }
      });

  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/home/auth');
  $ionicConfigProvider.tabs.position('bottom');
  $ionicConfigProvider.form.checkbox('circle');
});
