controllers.controller('AudioArtistCtrl', function($scope,
                                                   $user,
                                                   $process,
                                                   $vkfilter,
                                                   $state,
                                                   $langControllerService){
  var $lang = $langControllerService.$lang;

  $scope.inputs = {
    artist : {
      disabled : false
    },
    apply : {
      disabled : false
    }
  };

  $scope.title = $lang.audio.artist;
  $scope.desc = $lang.audio.artist_desc;
  $scope.prompt = $lang.audio.delete_artist_prompt;
  $scope.placeholder = $lang.audio.placeholder;
  $scope.apply_btn_text = $lang.apply;

  $scope.checkBoxes = {
    filters : {
      artist: {
        value: true,
        method: function () {
          $scope.inputs.artist.disabled = this.value ? false : true;
          $scope.inputs.apply.disabled = this.value ? false : true;
        }
      }
    }
  };

  $scope.apply = function() {
    $vkfilter.filters = {};
    if ($scope.checkBoxes.filters.artist.value) {
      if ($scope.inputs.artist.value) {
        $process.confirm_text = $lang.audio.sure_artist;
        $vkfilter.filters.artist = $scope.inputs.artist.value;
        $process.confirm_text += ' "' + $vkfilter.filters.artist + '" ?';
        $process.active_operation = 'delete_all';
        $vkfilter.context = 'audio';
        $user[$vkfilter.context].getAudio({
          offset : 0
        }).success(function(res){
          $process.expected_value = res.response.count;
          $state.go('home.process');
        });
      } else {
        alert($lang.audio.alert_fill);
      }
    }
  }

});
