controllers.controller('AuthCtrl', [
  '$scope',
  '$oauth',
  '$uri',
  '$state',
  '$ionicHistory',
  '$vkSession',
  '$vk',
  function ($scope, $oauth, $uri, $state, $ionicHistory, $vkSession, $vk) {
    $scope.$on('$ionicView.enter', function (e) {
      document.addEventListener("deviceready", function () {
        CleanCache().then(function () {
          CleanHistory();
          Authenticate();
        })
      }, false);
    });

    function CleanHistory() {
      $ionicHistory.clearHistory();
    }

    function CleanCache() {
      return $ionicHistory.clearCache();
    }

    function Authenticate() {
      var opts = 'location=no';
      var ref = cordova.InAppBrowser.open($oauth.authURL(), '_blank', opts);
      var auth_status = false;

      ref.addEventListener('loadstop', function (event) {
        if (event.url.indexOf("access_token") > -1) {
          $vkSession.access.copyFromObject($uri.queryParams(event.url));
          auth_status = true;
          $vk.get({}, 'stats.trackVisitor').success(function (res) {
            ref.close();
          });
        }
        if (event.url.indexOf("access_denied") > -1) {
          ref.close();
        }
      });

      ref.addEventListener('exit', function (event) {
        if (!auth_status) {
          navigator.app.exitApp();
        } else {
          $ionicHistory.nextViewOptions({
            disableBack: true
          });
          $state.go('home.profile');
        }
      });
    }
  }
]);
