controllers.controller('BookmarksCtrl', function($scope,
                                               $user,
                                               $process,
                                               $vkfilter,
                                               $langControllerService,
                                               $state,
                                               $errorHandler,
                                               $vk){
  var $lang = $langControllerService.$lang;
  $vkfilter.filters = {};
  $scope.title = $lang.bookmarks.title;
  $scope.prompt = $lang.prompts.bookmarks;

  $scope.updatePhotos = function (){
    $user.fav_photos.getPhotos({
      offset : 0
    }).success(function(res){
      $errorHandler.solve(res, function(){
        $scope.updatePhotos();
      });
      $scope.photos_count = res.response.count;
      $scope.action_list[0].description = $lang.bookmarks.delete + ' ' +  $scope.photos_count + ' ' + $lang.bookmarks.photos_delete;
    });
  };

  $scope.updateVideos = function (){
    $user.fav_videos.getVideos({
      offset : 0
    }).success(function(res){
      $errorHandler.solve(res, function(){
        $scope.updateVideos();
      });
      $scope.videos_count = res.response.count;
      $scope.action_list[1].description = $lang.bookmarks.delete + ' ' +  $scope.videos_count + ' ' + $lang.bookmarks.videos_delete;
    });
  };

  $scope.updatePosts = function (){
    $user.fav_posts.getPosts({
      offset : 0
    }).success(function(res){
      $errorHandler.solve(res, function(){
        $scope.updatePosts();
      });
      $scope.posts_count = res.response.count;
      $scope.action_list[2].description = $lang.bookmarks.delete + ' ' +  $scope.posts_count + ' ' + $lang.bookmarks.posts_delete;
    });
  };



  $scope.action_list = [
    {
      title : $lang.bookmarks.photos,
      description : $lang.bookmarks.delete + ' ' + $lang.bookmarks.photos_delete,
      onClick : function() {
        $vkfilter.filters = {};
        $user.fav_photos.getPhotos({
          offset : 0
        }).success(function(res){
          $process.active_operation = 'delete_all';
          $process.expected_value = res.response.count;
          $vk.maxFav =  res.response.count;
          $process.confirm_text = $lang.bookmarks.fav_photos_confirm;
          $vkfilter.context = 'fav_photos';
          $state.go('home.process');
        });
      }
    },
    {
      title : $lang.bookmarks.videos,
      description : $lang.bookmarks.delete + ' ' + $lang.bookmarks.videos_delete,
      onClick : function() {
        $vkfilter.filters = {};
        $user.fav_videos.getVideos({
          offset : 0
        }).success(function(res){
          $process.active_operation = 'delete_all';
          $process.expected_value = res.response.count;
          $vk.maxFav =  res.response.count;
          $process.confirm_text = $lang.bookmarks.fav_videos_confirm;
          $vkfilter.context = 'fav_videos';
          $state.go('home.process');
        });
      }
    },
    {
      title : $lang.bookmarks.posts,
      description : $lang.bookmarks.delete + ' ' + $lang.bookmarks.posts_delete,
      onClick : function() {
        $vkfilter.filters = {};
        $user.fav_posts.getPosts({
          offset : 0
        }).success(function(res){
          $process.active_operation = 'delete_all';
          $process.expected_value = res.response.count;
          $vk.maxFav =  res.response.count;
          $process.confirm_text = $lang.bookmarks.fav_posts_confirm;
          $vkfilter.context = 'fav_posts';
          $state.go('home.process');
        });
      }
    }
  ];

  $scope.update =  function() {
    $scope.updatePhotos();
    $scope.updateVideos();
    $scope.updatePosts();
  };

  $scope.update();
});
