controllers.controller('CleanerCtrl', function($scope,
                                               $stateParams,
                                               $timeout,
                                               ionicMaterialInk,
                                               ionicMaterialMotion,
                                               $user,
                                               $langControllerService,
                                               $errorHandler){

  var $lang = $langControllerService.$lang;
  $scope.title = $lang.cleaner.title;
  $scope.wall = $lang.cleaner.wall;
  $scope.communities = $lang.cleaner.communities;
  $scope.photos = $lang.cleaner.photos;
  $scope.audio = $lang.cleaner.audio;
  $scope.video = $lang.cleaner.video;
  $scope.friends = $lang.cleaner.friends;
  $scope.dialogs = $lang.cleaner.dialogs;
  $scope.wall_count = 0;
  $scope.communities_count = 0;
  $scope.audio_count = 0;
  $scope.photos_count = 0;
  $scope.video_count = 0;
  $scope.friends_count = 0;
  $scope.wall_desc = $lang.cleaner.you_have + ' ' +  $lang.cleaner.posts;
  $scope.communities_desc = $lang.cleaner.member_of + ' ' +  $lang.cleaner.communities_in;
  $scope.audio_desc = $lang.audio.audio_desc;
  $scope.photos_desc = $lang.cleaner.you_have + ' ' + $lang.cleaner.photos_have;
  $scope.video_desc = $lang.cleaner.you_have + ' '  +  $lang.cleaner.video_have;
  $scope.friends_desc = $lang.cleaner.you_have + ' '  + $lang.cleaner.friends_have;
  $scope.dialogs_desc = $lang.cleaner.dialogs_desc;
  $scope.bookmarks = $lang.bookmarks.title;
  $scope.bookmarks_desc = $lang.bookmarks.bookmarks_desc;


  $scope.updateWallPosts = function (){
    $user.wall.getWallPosts({
      offset : 0,
      count : 0
    }).success(function(res){
      $errorHandler.solve(res, function() {
        $scope.updateWallPosts();
      });
      $scope.wall_count = res.response.count;
      $scope.wall_desc = $lang.cleaner.you_have + ' ' +  $scope.wall_count +' ' + $lang.cleaner.posts;
    });
  };

  $scope.updateCommunities = function() {
    $user.communities.getCommunities({
      offset : 0,
      count : 0
    }).success(function(res){
      $errorHandler.solve(res, function() {
        $scope.updateCommunities();
      });
      $scope.communities_count = res.response.count;
      $scope.communities_desc = $lang.cleaner.member_of + ' ' +  $scope.communities_count + ' '  + $lang.cleaner.communities_in;
    })
  };

  $scope.updatePhotos = function() {
    $user.photos.getAllPhotos({
      offset : 0,
      count : 0
    }).success(function(res){
      if (! $errorHandler.solve(res, function() {
        $scope.updatePhotos();
      })) {
        $scope.photos_count = res.response.count;
        $scope.getSaved = function() {
          $user.photos.getPhotosFromAlbum({album_id : 'saved'}).success(function(res){
            if (! $errorHandler.solve(res, function(){
                $scope.getSaved();
              })){
              $scope.photos_count += res.response.count;
              $scope.photos_desc = $lang.cleaner.you_have + ' ' + $scope.photos_count + ' ' + $lang.cleaner.photos_have;
            }
          })
        };
        $scope.getSaved();
      }
    })
  };

  $scope.audio_alert = function () {
    alert($scope.audio_desc);
  };

  // $scope.updateAudio = function() {
  //   $user.audio.getCount().success(function(res) {
  //     $errorHandler.solve(res, function() {
  //       $scope.updateAudio();
  //     });
  //     $scope.audio_count = res.response;
  //     $scope.audio_desc = $lang.cleaner.you_have + ' ' + $scope.audio_count  + ' ' + $lang.cleaner.audio_have;
  //   })
  // };

  $scope.updateVideos = function() {
    $user.video.getVideos({
      offset : 0,
      count : 0
    }).success(function(res){
      $errorHandler.solve(res, function() {
        $scope.updateVideos();
      });
      $scope.video_count = res.response.count;
      $scope.video_desc = $lang.cleaner.you_have + ' ' +  $scope.video_count + ' ' +  $lang.cleaner.video_have;
    })
  };

  $scope.updateFriends = function() {
    $user.friends.getFriends({
      offset : 0,
      count : 0
    }).success(function(res){
      $errorHandler.solve(res, function() {
        $scope.updateFriends();
      });
      $scope.friends_count = res.response.count;
      $scope.friends_desc = $lang.cleaner.you_have + ' ' + $scope.friends_count + ' ' + $lang.cleaner.friends_have;
    })
  };

  $scope.update =  function() {
    $scope.updatePhotos();
    setTimeout(function () {
      $scope.updateWallPosts();
      $scope.updateCommunities();
      // $scope.updateAudio();
      $scope.updateVideos();
      $scope.updateFriends();
    }, 200);
  };

  $scope.update();

  // Set Header
  $scope.$parent.showHeader();
  $scope.$parent.clearFabs();
  $scope.$parent.setHeaderFab('left');

  // Delay expansion
  $timeout(function() {
    $scope.isExpanded = true;
    $scope.$parent.setExpanded(true);
  }, 300);

});
