controllers.controller('CommunitiesCtrl', function($scope,
                                                   $user,
                                                   $process,
                                                   $vkfilter,
                                                   $langControllerService,
                                                   $state,
                                                   $client,
                                                   $errorHandler){

  var $lang = $langControllerService.$lang;
  $scope.title = $lang.communities.title;

  $vkfilter.filters = {};

  $scope.updateCommunities = function (){
    $user.communities.getCommunities({
      offset : 0,
      count : 0
    }).success(function(res){
      $errorHandler.solve(res, function(){
        $scope.updateCommunities();
      });
      $scope.communities_count = res.response.count;
      $scope.action_list[0].description = $lang.communities.leave + ' ' + $scope.communities_count + ' ' + $lang.communities.communities_leave;
    });
  };

  $scope.updateEvents = function (){
    $user.communities.getCommunities({
      offset : 0,
      count : 0,
      filter : "events"
    }).success(function(res){
      $errorHandler.solve(res, function(){
        $scope.updateEvents();
      });
      $scope.events_count = res.response.count;
      $scope.action_list[1].description = $lang.events.delete + ' ' + $scope.events_count + ' ' + $lang.events.have;
    });
  };

  $scope.updateGroups = function (){
    $user.communities.getCommunities({
      offset : 0,
      count : 0,
      filter : "groups"
    }).success(function(res){
      $errorHandler.solve(res, function(){
        $scope.updateGroups();
      });
      $scope.groups_count = res.response.count;
      $scope.action_list[2].description = $lang.groups.delete + ' ' + $scope.groups_count + ' ' + $lang.groups.have;
    });
  };

  $scope.updatePublics = function (){
    $user.communities.getCommunities({
      offset : 0,
      count : 0,
      filter : "publics"
    }).success(function(res){
      $errorHandler.solve(res, function(){
        $scope.updatePublics();
      });
      $scope.publics_count = res.response.count;
      $scope.action_list[3].description = $lang.publics.delete + ' ' + $scope.publics_count + ' ' + $lang.publics.have;
    });
  };

  $scope.action_list = [
    {
      title : $lang.communities.delete_all,
      description : $lang.communities.leave + ' ' + $lang.communities.communities_leave,
      onClick : function() {
        $vkfilter.filters = {};
        $user.communities.getCommunities({
          offset : 0,
          count : 0
        }).success(function(res){
          $process.active_operation = 'delete_all';
          $process.expected_value = res.response.count;
          $process.confirm_text = $lang.communities.delete_all_confirm;
          $vkfilter.context = 'communities';
          $state.go('home.process');
        });
      }
    },
    {
      title : $lang.events.title,
      description : $lang.events.delete + ' ' + $lang.events.have,
      onClick : function() {
        $vkfilter.filters = {};
        $vkfilter.filters.community_type = "events";
        $user.communities.getCommunities({
          offset : 0,
          count : 0
        }).success(function(res){
          $process.active_operation = 'delete_all';
          $process.expected_value = res.response.count;
          $process.confirm_text = $lang.events.confirm;
          $vkfilter.context = 'communities';
          $state.go('home.process');
        });
      }
    },
    {
      title : $lang.groups.title,
      description : $lang.groups.delete + ' ' + $lang.groups.have,
      onClick : function() {
        $vkfilter.filters = {};
        $vkfilter.filters.community_type = "groups";
        $user.communities.getCommunities({
          offset : 0,
          count : 0
        }).success(function(res){
          $process.active_operation = 'delete_all';
          $process.expected_value = res.response.count;
          $process.confirm_text = $lang.groups.confirm;
          $vkfilter.context = 'communities';
          $state.go('home.process');
        });
      }
    },
    {
      title : $lang.publics.title,
      description : $lang.publics.delete + ' ' + $lang.publics.have,
      onClick : function() {
        $vkfilter.filters = {};
        $vkfilter.filters.community_type = "publics";
        $user.communities.getCommunities({
          offset : 0,
          count : 0
        }).success(function(res){
          $process.active_operation = 'delete_all';
          $process.expected_value = res.response.count;
          $process.confirm_text = $lang.publics.confirm;
          $vkfilter.context = 'communities';
          $state.go('home.process');
        });
      }
    },
    {
      title : $lang.communities.delete_members,
      description : $lang.communities.delete_members_desc,
      onClick : function() {
          $process.active_operation = 'delete_all';
          $vkfilter.context = 'communities';
          $vkfilter.filters = {};
          $state.go('home.communities_members');
      }
    }
  ];

  $scope.update =  function() {
    $scope.updateCommunities();
    $scope.updateEvents();
    $scope.updateGroups();
    $scope.updatePublics();
  };

  $scope.update();
});
