controllers.controller('FriendsCtrl', function($scope,
                                               $user,
                                               $process,
                                               $vkfilter,
                                               $langControllerService,
                                               $state,
                                               $errorHandler,
                                               $rate){
  var $lang = $langControllerService.$lang;
  $vkfilter.filters = {};
  $scope.title = $lang.friends.title;
  $scope.updateFriends = function (){
    $user.friends.getFriends({
      offset : 0,
      count : 0
    }).success(function(res){
      $errorHandler.solve(res, function(){
        $scope.updateFriends();
      });
      $scope.friends_count = res.response.count;
      $scope.action_list[0].description = $lang.friends.delete + ' ' +  $scope.friends_count + ' ' + $lang.friends.friends_delete;
    });
  };

  $scope.action_list = [
    {
      title : $lang.friends.delete_all,
      description : $lang.friends.delete + ' ' + $lang.friends.friends_delete,
      onClick : function() {
        $vkfilter.filters = {};
        $user.friends.getFriends({
          offset : 0,
          count : 0
        }).success(function(res){
          $process.active_operation = 'delete_all';
          $process.expected_value = res.response.count;
          $process.confirm_text = $lang.friends.delete_all_confirm;
          $vkfilter.context = 'friends';
          $state.go('home.process');
        });
      }
    },
    {
      title : $lang.friends.deleted,
      description : $lang.friends.deleted_desc,
      onClick : function() {
        $vkfilter.filters = {
          deleted : true
        };
        $user.friends.getFriends({
          offset : 0,
          count : 0
        }).success(function(res){
          $process.active_operation = 'delete_all';
          $process.expected_value = res.response.count;
          $process.confirm_text = $lang.friends.clean_deleted_sure;
          $vkfilter.context = 'friends';
          $state.go('home.process');
        });
      }
    },
    {
      title : $lang.friends.banned,
      description : $lang.friends.banned_desc,
      onClick : function() {
        $vkfilter.filters = {
          deactivated : true
        };
        $user.friends.getFriends({
          offset : 0,
          count : 0
        }).success(function(res){
          $process.active_operation = 'delete_all';
          $process.expected_value = res.response.count;
          $process.confirm_text = $lang.friends.clean_banned_sure;
          $vkfilter.context = 'friends';
          $state.go('home.process');
        });
      }
    },
    {
      title : $lang.friends.last_seen,
      description : $lang.friends.last_seen_desc,
      onClick : function() {
        $vkfilter.filters = {};
        $process.active_operation = 'delete_all';
        $vkfilter.context = 'friends';
        $state.go('home.last_seen');
      }
    }
  ];

  $scope.ads_list = [
    {
      title : $lang.friends.decline_outgoing,
      description : $lang.friends.decline_desc,
      onClick : function() {
        $rate.showAd(true);
      }
    },
    {
      title : $lang.friends.accept_incoming,
      description : $lang.friends.accept_desc,
      onClick : function() {
        $rate.showAd(true);
      }
    },
    {
      title : $lang.friends.add_followers,
      description : $lang.friends.add_desc,
      onClick : function() {
        $rate.showAd(true);
      }
    },
    {
      title : $lang.friends.women_delete,
      description : $lang.friends.women_delete_desc,
      onClick : function() {
        $rate.showAd(true);
      }
    },
    {
      title : $lang.friends.men_delete,
      description : $lang.friends.men_delete_desc,
      onClick : function() {
        $rate.showAd(true);
      }
    },
    {
      title : $lang.friends.followers_banned_delete,
      description : $lang.friends.followers_banned_desc,
      onClick : function() {
       $rate.showAd(true);
      }
    }
  ];

  $scope.update =  function() {
    $scope.updateFriends();
  };

  $scope.update();
});
