controllers.controller('LastSeenCtrl', function($scope,
                                                   $user,
                                                   $process,
                                                   $vkfilter,
                                                   $state,
                                                   $langControllerService){
  var $lang = $langControllerService.$lang;
  $scope.date = $lang.friends.date;
  $scope.time = $lang.friends.time;
  $scope.prompt = $lang.friends.last_seen_prompt;
  $scope.title = $lang.friends.last_seen;
  $scope.desc = $lang.friends.last_seen_desc;
  $scope.apply_btn_text = $lang.apply;
  $scope.edit = $lang.edit;

  var dateOptions = {
    date: new Date(),
    mode: 'date'
  };

  var timeOptions = {
    date: new Date(),
    is24Hour : true,
    mode: 'time'
  };

  function onDateSuccess(date) {
    $scope.inputs.date.value = date;
    $scope.inputs.date.text = $scope.toFullDate(date).show;
    $scope.$apply();
  }

  function onTimeSuccess(time) {
    $scope.inputs.time.value = time;
    $scope.inputs.time.text = $scope.toFullTime(time);
    $scope.$apply();
  }

  $scope.showDate = function() {
    datePicker.show(dateOptions, onDateSuccess);
  };

  $scope.showTime = function () {
    datePicker.show(timeOptions, onTimeSuccess)
  };

  $scope.month = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];

  $scope.toFullDate = function(str) {
    var date = '';
    date += str.getDate() < 10 ? '0' + str.getDate() : str.getDate();
    var month = '';
    month += (str.getMonth() + 1) < 10 ? '0' + (str.getMonth() + 1) : (str.getMonth() + 1);
    return {
      operate : str.getDate() + '-' + $scope.month[str.getMonth()] + '-' + str.getFullYear(),
      show : date + '.' + month + '.' + str.getFullYear()
    }
  };

  $scope.toFullTime = function (str) {
    var result =  str.getHours() + ':';
    result += (str.getMinutes() < 10) ? '0' + str.getMinutes() : str.getMinutes();
    return result;
  };

  $scope.getUnixTimeStamp = function(date, time) {
    return Date.parse($scope.toFullDate(date).operate + ' ' + $scope.toFullTime(time)).getTime()/1000;
  };

  $scope.inputs = {
    date : {
      disabled : false,
      text : $scope.edit
    },
    time : {
      disabled : false,
      text : $scope.edit
    },
    apply : {
      disabled : false
    }
  };

  $scope.checkBoxes = {
    filters : {
      last_seen: {
        value: true,
        method: function () {
          for (var input in $scope.inputs) {
            $scope.inputs[input].disabled = !this.value;
          }
        }
      }
    }
  };

  $scope.allFilled = function(){
    return ($scope.inputs.date.value && $scope.inputs.time.value);
  };

  $scope.apply = function() {
    $vkfilter.filters = {};
    if ($scope.allFilled()) {
      $process.confirm_text = $lang.friends.last_seen_confirm;
      $vkfilter.filters.last_seen = $scope.getUnixTimeStamp($scope.inputs.date.value, $scope.inputs.time.value);
      $process.confirm_text += ': ' + $scope.toFullDate($scope.inputs.date.value).show + ' ' + $scope.toFullTime($scope.inputs.time.value) + ' ?';
      $process.active_operation = 'delete_all';
      $vkfilter.context = 'friends';
      $user[$vkfilter.context].getFriends({
        offset : 0,
        count : 0
      }).success(function(res){
        $process.expected_value = res.response.count;
        $state.go('home.process');
      });
    } else {
        alert($lang.friends.alert_fill);
      }
    }
});
