controllers.controller('CommunityMembersCtrl', function($scope,
                                                  $user,
                                                  $process,
                                                  $vkfilter,
                                                  $state,
                                                  $langControllerService){
  var $lang = $langControllerService.$lang;

  $scope.title = $lang.communities.delete_members;
  $scope.desc = $lang.communities.delete_members_desc;
  $scope.deleteLessThan = $lang.communities.members_less;
  $scope.deleteMoreThan = $lang.communities.members_more;
  $scope.deleteWith = $lang.communities.members_with;
  $scope.apply_btn_text = $lang.apply;
  $scope.count = $lang.communities.count;

  $scope.inputs = {
    membersLess : {
      disabled : true
    },
    apply : {
      disabled : true
    },
    membersMore : {
      disabled : true
    },
    membersWith : {
      disabled : true
    }
  };

  $scope.applyButtonDisabled = function (value) {
    $scope.inputs.apply.disabled = !value;
  };

  $scope.any_checked = function() {
    for (var filter in $scope.checkBoxes.filters.members.filters) {
      if ($scope.checkBoxes.filters.members.filters[filter].value) {
        return true;
      }
    }
    return false;
  };

  $scope.checkBoxes = {
    setBool : function (value,param,current) {
      var _this = this;
      var destination = _this.filters.members.filters;
      for (var filter in destination) {
        if (current) {
          if (destination[filter] != current) {
            destination[filter][param] = value;
          }
        } else {
          destination[filter][param] = value;
        }
      }
    },

    filters : {
      members: {
        value: false,
        method: function () {
          if (this.value) {
            $scope.checkBoxes.setBool(false,'disabled');
            $scope.inputs.apply.disabled = !$scope.any_checked();
          } else {
            $scope.checkBoxes.setBool(true, 'disabled');
            $scope.inputs.apply.disabled = true;
          }
        },
        filters: {
          membersLess: {
            value: false,
            disabled: false,
            method: function () {
              if (this.value) {
                $scope.checkBoxes.setBool(false,'value',this);
                $scope.inputs.membersLess.disabled = false;
                $scope.inputs.membersMore.disabled = true;
                $scope.inputs.membersWith.disabled = true;
              } else {
                $scope.inputs.membersLess.disabled = true;
              }
              $scope.applyButtonDisabled(this.value);
            }
          },
          membersMore: {
            value: false,
            disabled: false,
            method: function () {
              if (this.value) {
                $scope.checkBoxes.setBool(false,'value',this);
                $scope.inputs.membersLess.disabled = true;
                $scope.inputs.membersWith.disabled = true;
                $scope.inputs.membersMore.disabled = false;
              } else {
                $scope.inputs.membersMore.disabled = true;
              }
              $scope.applyButtonDisabled(this.value);
            }
          },
          membersWith: {
            value: false,
            disabled: false,
            method: function () {
              if (this.value) {
                $scope.checkBoxes.setBool(false,'value',this);
                $scope.inputs.membersLess.disabled = true;
                $scope.inputs.membersMore.disabled = true;
                $scope.inputs.membersWith.disabled = false;
              } else {
                $scope.inputs.membersWith.disabled = true;
              }
              $scope.applyButtonDisabled(this.value);
            }
          }
        }
      }
    }
  };

  $scope.apply = function() {

    function endPrepare() {
      $process.confirm_text += '?';
      $process.active_operation = 'delete_all';
      $vkfilter.context = 'communities';

      $user[$vkfilter.context].getCommunities({
        offset : 0,
        count : 0
      }).success(function(res){
        $process.expected_value = res.response.count;
        $state.go('home.process');
      });
    }

    $vkfilter.filters = {};
    var members = $scope.checkBoxes.filters.members;
    for (var filter in members.filters) {
      if (members.filters[filter].value) {
        if ($scope.inputs[filter].value >= 0) {

          $vkfilter.filters[filter] = $scope.inputs[filter].value;
          switch (filter) {
            case 'membersLess' :
              $process.confirm_text = $lang.communities.members_less_confirm;
              break;
            case 'membersMore' :
              $process.confirm_text = $lang.communities.members_more_confirm;
              break;
            case 'membersWith' :
              $process.confirm_text = $lang.communities.members_with_confirm;
              break;
          }
          $process.confirm_text += ' ' + $scope.inputs[filter].value;
          endPrepare();

        } else {
          alert($lang.communities.alert_fill);
        }
      }
    }
  }
});

