controllers.controller('PhotoAlbumsCtrl', function($scope,
                                               $user,
                                               $process,
                                               $vkfilter,
                                               $langControllerService,
                                               $state,
                                               $errorHandler){
  var $lang = $langControllerService.$lang;
  $scope.count = $lang.photos.count;
  $scope.apply_btn_text = $lang.apply;
  $vkfilter.filters = {};

  var getElementIndex = function(array, id) {
    for(var i = 0, len = array.length; i < len; i++) {
      if (array[i].id === id) {
       return i;
      }
    }
    return -1;
  };

  $scope.title = $lang.photos.albums_delete;
  $scope.getAlbums = function () {
    $user.photos.getAlbums().success(function (res) {
      if (!$errorHandler.solve(res, function(){
        $scope.getAlbums();
      })) {
        var albums = res.response.items;
        var index = getElementIndex(albums, -15);
        if (index > -1) {
          albums.splice(index, 1);
        }
        $scope.albums = albums;
      }
    })
  };

  $scope.apply = function () {
    var count = 0;
    var albums_title = "";
    var albums_ids = [];
    for (var album in $scope.albums) {
      if ($scope.albums[album].isChecked){
        albums_ids[count] = $scope.albums[album].id;
        albums_title += '\n- ' + $scope.albums[album].title;
        count++;
      }
    }
    if (count){
      if (confirm($lang.photos.chosen + ' ' + count + ' ' + $lang.photos.albums_chosen + ' : ' + albums_title)){
        $user.photos.getAllPhotos({
          offset : 0,
          count : 0
        }).success(function (res) {
          $vkfilter.filters = {
            albums : albums_ids
          };
          $process.expected_value = res.response.count;
          $process.active_operation = 'delete_all';
          $process.confirm_text = $lang.photos.albums_confirm + albums_title;
          $process.context = "photos";
          $state.go("home.process");
        });
      }
    } else {
      alert($lang.photos.choose_alert);
    }

  };

  $scope.getAlbums();
});
