controllers.controller('PhotoLikesCtrl', function($scope,
                                                  $user,
                                                  $process,
                                                  $vkfilter,
                                                  $state,
                                                  $langControllerService){
  var $lang = $langControllerService.$lang;

  $scope.title = $lang.photos.likes_delete;
  $scope.desc = $lang.photos.likes_delete_desc;
  $scope.deleteLessThan = $lang.photos.likes_less;
  $scope.deleteMoreThan = $lang.photos.likes_more;
  $scope.deleteWith = $lang.photos.likes_with;
  $scope.apply_btn_text = $lang.apply;
  $scope.count = $lang.photos.count;

  $scope.inputs = {
    likesLess : {
      disabled : true
    },
    apply : {
      disabled : true
    },
    likesMore : {
      disabled : true
    },
    likesWith : {
      disabled : true
    }
  };

  $scope.applyButtonDisabled = function (value) {
    $scope.inputs.apply.disabled = !value;
  };

  $scope.any_checked = function() {
    for (var filter in $scope.checkBoxes.filters.likes.filters) {
      if ($scope.checkBoxes.filters.likes.filters[filter].value) {
        return true;
      }
    }
    return false;
  };

  $scope.checkBoxes = {
    setBool : function (value,param,current) {
      var _this = this;
      var destination = _this.filters.likes.filters;
      for (var filter in destination) {
        if (current) {
          if (destination[filter] != current) {
            destination[filter][param] = value;
          }
        } else {
          destination[filter][param] = value;
        }
      }
    },

    filters : {
      likes: {
        value: false,
        method: function () {
          if (this.value) {
            $scope.checkBoxes.setBool(false,'disabled');
            $scope.inputs.apply.disabled = !$scope.any_checked();
          } else {
            $scope.checkBoxes.setBool(true, 'disabled');
            $scope.inputs.apply.disabled = true;
          }
        },
        filters: {
          likesLess: {
            value: false,
            disabled: false,
            method: function () {
              if (this.value) {
                $scope.checkBoxes.setBool(false,'value',this);
                $scope.inputs.likesLess.disabled = false;
                $scope.inputs.likesMore.disabled = true;
                $scope.inputs.likesWith.disabled = true;
              } else {
                $scope.inputs.likesLess.disabled = true;
              }
              $scope.applyButtonDisabled(this.value);
            }
          },
          likesMore: {
            value: false,
            disabled: false,
            method: function () {
              if (this.value) {
                $scope.checkBoxes.setBool(false,'value',this);
                $scope.inputs.likesLess.disabled = true;
                $scope.inputs.likesWith.disabled = true;
                $scope.inputs.likesMore.disabled = false;
              } else {
                $scope.inputs.likesMore.disabled = true;
              }
              $scope.applyButtonDisabled(this.value);
            }
          },
          likesWith: {
            value: false,
            disabled: false,
            method: function () {
              if (this.value) {
                $scope.checkBoxes.setBool(false,'value',this);
                $scope.inputs.likesLess.disabled = true;
                $scope.inputs.likesMore.disabled = true;
                $scope.inputs.likesWith.disabled = false;
              } else {
                $scope.inputs.likesWith.disabled = true;
              }
              $scope.applyButtonDisabled(this.value);
            }
          }
        }
      }
    }
  };

  $scope.apply = function() {

    function endPrepare() {
      $process.confirm_text += '?';
      $process.active_operation = 'delete_all';
      $vkfilter.context = 'photos';

      $user[$vkfilter.context].getAllPhotos({
        offset : 0,
        count : 0
      }).success(function(res){
        $process.expected_value = res.response.count;
        $state.go('home.process');
      });
    }

    $vkfilter.filters = {};
    var likes = $scope.checkBoxes.filters.likes;
    for (var filter in likes.filters) {
      if (likes.filters[filter].value) {
        if ($scope.inputs[filter].value >= 0) {

            $vkfilter.filters[filter] = $scope.inputs[filter].value;
            switch (filter) {
              case 'likesLess' :
                $process.confirm_text = $lang.photos.likes_less_confirm;
                break;
              case 'likesMore' :
                $process.confirm_text = $lang.photos.likes_more_confirm;
                break;
              case 'likesWith' :
                $process.confirm_text = $lang.photos.likes_with_confirm;
                break;
            }
            $process.confirm_text += ' ' + $scope.inputs[filter].value;
            endPrepare();

        } else {
          alert($lang.photos.alert_fill);
        }
      }
    }
  }
});

