controllers.controller('PhotosCtrl', function($scope,
                                              $user,
                                              $process,
                                              $vkfilter,
                                              $langControllerService,
                                              $state,
                                              $errorHandler){
  var $lang = $langControllerService.$lang;

  $vkfilter.filters = {};

  $scope.title = $lang.photos.title;
  $scope.updatePhotos = function (){
    $user.photos.getAllPhotos({
      offset : 0,
      count : 0
    }).success(function(res){
      if (! $errorHandler.solve(res, function() {
          $scope.updatePhotos();
        })) {
        $scope.photos_count = res.response.count;
        $scope.action_list[0].description = $lang.photos.delete + ' ' + $scope.photos_count + ' ' + $lang.photos.photos_delete;
      }
    });
  };

  $scope.updateSaved = function() {
    $user.photos.getPhotosFromAlbum({ album_id : 'saved' }).success(function(res){
      if (! $errorHandler.solve(res, function() {
          $scope.updateSaved();
        })) {
        $scope.saved_count = res.response.count;
        $scope.action_list[1].description = $lang.photos.delete + ' ' + $scope.saved_count + ' ' + $lang.photos.photos_delete;
      }
    })
  };

  $scope.action_list = [
    {
      title : $lang.photos.delete_all,
      description : $lang.photos.delete + ' ' + $lang.photos.photos_delete,
      onClick : function() {
        $vkfilter.filters = {};
        var getCustomPhotos = function () {
          $user.photos.getAllPhotos({
            offset: 0,
            count: 0
          }).success(function (res) {
            if (!$errorHandler.solve(res, function () {
                getCustomPhotos();
              })) {
              $process.active_operation = 'delete_all';
              $process.expected_value =  $scope.photos_count;
              $process.confirm_text = $lang.photos.delete_all_confirm;
              $vkfilter.context = 'photos';
              $state.go('home.process');
            }
          })
        };
        getCustomPhotos();
      }
    },
    {
      title : $lang.photos.delete_saved,
      description : $lang.photos.delete + ' ' + $lang.photos.photos_delete,
      onClick : function() {
        $vkfilter.filters = {};
        var getCustomPhotos = function () {
          $user.photos.getPhotosFromAlbum({
            album_id : 'saved'
          }).success(function (res) {
            if (!$errorHandler.solve(res, function () {
                getCustomPhotos();
              })) {
              $process.active_operation = 'delete_all';
              $process.expected_value =  res.response.count;
              $process.confirm_text = $lang.photos.delete_saved_confirm;
              $vkfilter.context = 'photos_saved';
              $state.go('home.process');
            }
          })
        };
        getCustomPhotos();
      }
    },
    {
      title : $lang.photos.likes_delete,
      description : $lang.photos.likes_delete_desc,
      onClick : function() {
        $process.active_operation = 'delete_all';
        $vkfilter.context = 'photos';
        $vkfilter.filters = {};
        $state.go('home.photoLikes');
      }
    },
    {
      title : $lang.photos.albums_delete,
      description : $lang.photos.albums_delete_desc,
      onClick : function() {
        $process.active_operation = 'delete_all';
        $vkfilter.context = 'photos';
        $vkfilter.filters = {};
        $state.go('home.photoAlbums');
      }
    }
  ];

  $scope.update =  function() {
    $scope.updatePhotos();
    $scope.updateSaved();
  };

  $scope.update();
});
