controllers.controller('ProcessCtrl', function ($scope,
  $process,
  $vkfilter,
  $langControllerService,
  $rate,
  $admob) {

  var onRewardVideoLoadCallback = function () {
    $scope.rewardButtonVisible = true;
    $scope.$apply();
  }
  
  var onRewardCallback = function () {
    $scope.rewardButtonVisible = false;
    $vkfilter.addSpeed(200);
    $scope.speedX += 1;
    $admob.prepareRewardVideo();
    $scope.$apply();
  };

  var onRewardVideoLoadFailCallback = function(err) {
      $admob.prepareRewardVideo();
  }

  var onRewardVideoCloseCallback = function () {
    $scope.rewardButtonVisible = false;
    $admob.prepareRewardVideo();
    $scope.$apply();
  }

  $scope.$on('$ionicView.beforeLeave', function (e) {
    $scope.setPause();
    $vkfilter.setSlowSpeed();

    $admob.cleanOnRewardVideoLoad(onRewardVideoLoadCallback);
    $admob.cleanOnReward(onRewardCallback);
    $admob.cleanOnRewardVideoLoadFail(onRewardVideoLoadFailCallback);
    $admob.cleanOnRewardVideoClose(onRewardVideoCloseCallback);
  });

  $scope.$on('$ionicView.beforeEnter', function (e) {
    $admob.onRewardVideoLoad(onRewardVideoLoadCallback);
    $admob.onReward(onRewardCallback);
    $admob.onRewardVideoLoadFail(onRewardVideoLoadFailCallback);
    $admob.onRewardVideoClose(onRewardVideoCloseCallback);
    $admob.prepareRewardVideo();
  });

  var $lang = $langControllerService.$lang;

  $scope.prompt = $lang.prompts.process;

  $scope.title = $lang.process.title;
  $scope.expected_text = $lang.process.expected;
  $scope.done_text = $lang.process.done;
  $scope.left_text = $lang.process.left;
  $scope.deleted_text = $lang.process.deleted;
  $scope.btn_text = $lang.process.start;
  $scope.reward_btn_text = $lang.process.speed_up;
  $scope.rewardButtonVisible = false;
  $scope.speedX = 2;

  $scope.onRewardClick = function () {
    $scope.setPause();
    $admob.rewardVideoShow();
  };

  $scope.input = {

  };


  $scope.active_operation = function () {
    if ($scope.status === 'play') {
      $scope.status_toggle();
    } else {
      if (confirm($process.confirm_text)) {
        $scope.status_toggle();
        if ($scope.status === 'play') {
          $process[$process.active_operation]($scope);
        }
      }
    }
  };

  $scope.onFinish = function () {
    $scope.status_toggle();
    $scope.refresh();
    alert($lang.process.done_alert);
    $rate.show(true);
  };

  $scope.setPlay = function () {
    $scope.status = 'play';
    $scope.status_icon = 'ion-pause';
    $scope.btn_text = $lang.process.stop;
  };

  $scope.setPause = function () {
    $scope.status = 'pause';
    $scope.status_icon = 'ion-play';
    $scope.btn_text = $lang.process.start;
  };

  $scope.status_toggle = function () {
    ($scope.status === 'play') ? $scope.setPause(): $scope.setPlay();
  };

  $scope.refresh = function () {
    $scope.current_index = 0;
    $scope.max_value = 0;
    $scope.process_status = 'ion-play';
  };

  $scope.current_index = 0;
  $scope.deleted = 0;
  $scope.max_value = $process.expected_value;
  $scope.setPause();


});