controllers.controller('ProfileCtrl',['$scope',
  'ionicMaterialMotion',
  'ionicMaterialInk',
  '$stateParams',
  '$timeout',
  '$user',
  '$client',
  '$langControllerService',
  '$errorHandler',
  function($scope,
           ionicMaterialMotion,
           ionicMaterialInk,
           $stateParams,
           $timeout,
           $user,
           $client,
           $langControllerService,
           $errorHandler) {
  var $lang = $langControllerService.$lang;

  $scope.latest_news = '';
  $scope.$parent.showHeader();
  $scope.$parent.clearFabs();
  $scope.isExpanded = true;
  $scope.$parent.setExpanded(true);
  $scope.$parent.setHeaderFab('right');

  $scope.title = $lang.profile.title;

    $scope.subscribe = function() {
    $user.communities.join($client.public.id).success(function (res) {
       if (res.response === 1) {
         setTimeout(function(){
           $scope.showSubscription = false;
           $scope.$apply();
         }, 1000);
       }
    })
  };

  $scope.share = function() {
    var message = "CleanerVK - бесплатное Android приложение для быстрой очистки страницы Вконтакте.\n" +
      "Требования: Android 4.1+\n"+
      "Доступно в Google Play: http://vk.cc/4L70BG\n"+
      "#CleanerVK #cleaner #wall #friends #photos #videos #communities #likes #друзья #лайки";
    $user.wall.post(message).success(function(res){
      setTimeout(function(){
        $scope.showShare = false;
        $scope.$apply();
      }, 1000);
      localStorage.setItem('shareID', res.response.post_id);
    })
  };

    $scope.getInfo = function(){
      $user.info.getInfo().success(function(res){
        if (!$errorHandler.solve(res, function() {
          $scope.getInfo();
        })) {
          $scope.first_name = res.response[0].first_name;
          $scope.last_name = res.response[0].last_name;
          $scope.profile_image = res.response[0].photo_200_orig;
          $scope.id = res.response[0].id;
        }
      });
    };

    $scope.getInfo();

    $scope.getCommunityWall = function() {
      $user.communities.getCommunityWall($client.public.id*(-1),0,9).success(function(res) {
        if (!$errorHandler.solve(res, function() {
          $scope.getCommunityWall();
        })) {
          $scope.posts = res.response.items;
          for (p in $scope.posts) {
            var post = $scope.posts[p];
            post.text = post.text.replace(/\n/g,"<br>");
            $scope.setPostStyle(post);
          }
          $scope.checkSubscription();
        }
      });
    };

    $scope.like = function(post) {
      if (post.likes.can_like) {
        $user.likes.add({
          type : post.post_type,
          owner_id : post.owner_id,
          item_id : post.id
        }).success(function(res) {
          post.likes.can_like = 0;
          $scope.setPostStyle(post);
        })
      }
    };

    $scope.repost = function(post) {
      $user.wall.repost({
        object : "wall" + post.owner_id + "_" + post.id
      }).success(function (res) {
        post.reposts.user_reposted = 1;
      })
    };

   $scope.setPostStyle = function (post) {
     post.like_icon = post.likes.can_like ? "ion-android-favorite-outline" : "ion-android-favorite";
   };

   $scope.showSubscription = false;
   $scope.showShare = false;
   $scope.subscription_icon = 'ion-person-add';

   $scope.checkShared = function() {
     if (localStorage.getItem('shareID') != null ) {
       $user.wall.getPostByID(localStorage.getItem('shareID')).success(function(res){
         $errorHandler.solve(res, function() {
           $scope.checkShared();
         });
         if (res.response.length) {
           $scope.showShare = false;
         } else {
           $scope.showShare = true;
         }
       })
     } else {
       $scope.showShare = true;
     }
   };

    $scope.checkSubscription = function() {
      $user.communities.isMember($client.public.id).success(function(res){
         if (!$errorHandler.solve(res, function() {
          $scope.checkSubscription();
         })) {
           switch (res.response) {
             case 0 :
               $scope.showSubscription = true;
               break;
             case 1 :
               $scope.showSubscription = false;
               break;
           }
           $scope.checkShared();
         }
     })
   };

  // Set Motion
  $timeout(function() {
    ionicMaterialMotion.slideUp({
      selector: '.slide-up'
    });
  }, 300);

  $timeout(function() {
    ionicMaterialMotion.fadeSlideInRight({
      startVelocity: 3000
    });
  }, 700);

  // Set Ink
  ionicMaterialInk.displayEffect();

  setTimeout(function () {
   $scope.getCommunityWall();
  },500);
}]);
