controllers.controller('WallCtrl', function($scope,
                                            $user,
                                            $process,
                                            $vkfilter,
                                            $langControllerService,
                                            $state,
                                            $errorHandler){
  var $lang = $langControllerService.$lang;

  $vkfilter.filters = {};

  $scope.title = $lang.wall.title;
  $scope.updateWallPosts = function (){
    $user.wall.getWallPosts({
      offset : 0,
      count : 0
    }).success(function(res){
      $errorHandler.solve(res, function() {
        $scope.updateWallPosts();
      });
      $scope.wall_count = res.response.count;
      $scope.action_list[0].description = $lang.wall.delete + ' ' + $scope.wall_count + ' ' + $lang.wall.posts;
    });
  };

  $scope.action_list = [
    {
      title : $lang.wall.delete_all,
      description : $lang.wall.delete + ' '  + $lang.wall.posts,
      onClick : function() {
        $vkfilter.filters = {};
        $user.wall.getWallPosts({
          offset : 0,
          count : 0
        }).success(function(res){
          $process.active_operation = 'delete_all';
          $process.expected_value = res.response.count;
          $process.confirm_text = $lang.wall.delete_all_confirm;
          $vkfilter.context = 'wall';
          $state.go('home.process');
        });
      }
    },
    {
      title : $lang.wall.delete_by_sender,
      description : $lang.wall.delete_by_sender_desc,
      onClick : function() {
        $process.active_operation = 'delete_all';
        $vkfilter.context = 'wall';
        $vkfilter.filters = {};
        $state.go('home.wall_from');
      }
    },
    {
      title : $lang.wall.likes_delete,
      description : $lang.wall.likes_delete_desc,
      onClick : function() {
        $process.active_operation = 'delete_all';
        $vkfilter.context = 'wall';
        $vkfilter.filters = {};
        $state.go('home.wall_likes');
      }
    },
    {
      title : $lang.wall.delete_content,
      description : $lang.wall.delete_content_desc,
      onClick : function() {
        $process.active_operation = 'delete_all';
        $vkfilter.context = 'wall';
        $vkfilter.filters = {};
        $state.go('home.wall_content');
      }
    },
    {
      title : $lang.wall.delete_date,
      description : $lang.wall.delete_date_desc,
      onClick : function() {
        $process.active_operation = 'delete_all';
        $vkfilter.context = 'wall';
        $vkfilter.filters = {};
        $state.go('home.wall_date');
      }
    }
  ];

  $scope.update =  function() {
    $scope.updateWallPosts();
  };

  $scope.update();
});
