controllers.controller('WallFromCtrl', function($scope,
                                                $user,
                                                $process,
                                                $vkfilter,
                                                $state,
                                                $vk,
                                                $langControllerService){

  var $lang = $langControllerService.$lang;

  $scope.title = $lang.wall.delete_by_sender;
  $scope.desc = $lang.wall.delete_by_sender_desc;
  $scope.deleteById = $lang.wall.delete_by_id;
  $scope.deleteByDomain = $lang.wall.delete_by_domain;
  $scope.deleteMyPosts = $lang.wall.delete_my_posts;
  $scope.deleteOthersPosts = $lang.wall.delete_others_posts;
  $scope.apply_btn_text = $lang.apply;

  $scope.inputs = {
    userId : {
      disabled : true
    },
    apply : {
      disabled : true
    },
    domain : {
      disabled : true
    }
  };

  $scope.applyButtonDisabled = function (value) {
    $scope.inputs.apply.disabled = !value;
  };

  $scope.any_checked = function() {
    for (var filter in $scope.checkBoxes.filters.from.filters) {
        if ($scope.checkBoxes.filters.from.filters[filter].value) {
          return true;
        }
    }
    return false;
  };

  $scope.checkBoxes = {
    setBool : function (value,param,current) {
      var _this = this;
      var destination = _this.filters.from.filters;
      for (var filter in destination) {
        if (current) {
          if (destination[filter] != current) {
            destination[filter][param] = value;
          }
        } else {
          destination[filter][param] = value;
        }
      }
    },

    filters : {
      from: {
        value: false,
        method: function () {
          if (this.value) {
              $scope.checkBoxes.setBool(false,'disabled');
              $scope.inputs.apply.disabled = !$scope.any_checked();
          } else {
            $scope.checkBoxes.setBool(true, 'disabled');
            $scope.inputs.apply.disabled = true;
          }
        },
        filters: {
          userId: {
            value: false,
            disabled: false,
            method: function () {
              if (this.value) {
                $scope.checkBoxes.setBool(false,'value',this);
                $scope.inputs.userId.disabled = false;
                $scope.inputs.domain.disabled = true;
              } else {
                $scope.inputs.userId.disabled = true;
              }
              $scope.applyButtonDisabled(this.value);
            }
          },
          domain: {
            value: false,
            disabled: false,
            method: function () {
              if (this.value) {
                $scope.checkBoxes.setBool(false,'value',this);
                $scope.inputs.userId.disabled = true;
                $scope.inputs.domain.disabled = false;
              } else {
                $scope.inputs.domain.disabled = true;
              }
              $scope.applyButtonDisabled(this.value);
            }
          },
          owner: {
            value: false,
            disabled: false,
            method: function () {
              $scope.checkBoxes.setBool(false,'value',this);
              $scope.inputs.userId.disabled = true;
              $scope.inputs.domain.disabled = true;
              $scope.applyButtonDisabled(this.value);
            }
          },
          others: {
            value: false,
            disabled: false,
            method: function () {
              $scope.checkBoxes.setBool(false,'value',this);
              $scope.inputs.userId.disabled = true;
              $scope.inputs.domain.disabled = true;
              $scope.applyButtonDisabled(this.value);
            }
          }
        }
      }
    }
  };

  $scope.apply = function() {

    function endPrepare() {
      $process.confirm_text += '?';
      $process.active_operation = 'delete_all';
      $vkfilter.context = 'wall';

      $user[$vkfilter.context].getWallPosts({
        offset : 0,
        count : 0
      }).success(function(res){
        $process.expected_value = res.response.count;
        $state.go('home.process');
      });
    }

    $vkfilter.filters = {};
    var from = $scope.checkBoxes.filters.from;
    for (var filter in from.filters) {
      if (from.filters[filter].value) {
        if (filter === 'userId' || filter === 'domain') {
          $process.confirm_text = $lang.wall.sure_from + ' ';
          if ($scope.inputs[filter].value) {
            $vk.get({
              user_ids : $scope.inputs[filter].value,
              name_case : "nom"
            }, 'users.get').success(function(res){
              if (res.error) {
                alert($lang.wall.alert_no_user);
              } else {
                $process.confirm_text += res.response[0].first_name + ' ' + res.response[0].last_name;
                $vkfilter.filters['userId'] = res.response[0].id;
                endPrepare();
              }
            })
          } else {
            alert($lang.wall.alert_fill);
          }
        } else {
          $vkfilter.filters.from = filter;
          $process.confirm_text = filter === 'owner' ? $lang.wall.sure_my : $lang.wall.sure_others;
          endPrepare();
        }
        break;
      }
    }
  }
});
