var rewardConfig = {
  id: 'ca-app-pub-8018009867580854/5336289919',
  autoShow: false,
  isTesting: false
};


services.factory('$admob', function () {
  return {
    prepareRewardVideo: function (callback) {
      admob.rewardvideo.config(rewardConfig);
      admob.rewardvideo.prepare()
        .then((ok) => {
          if (callback) {
            callback();
          }
        })
        .catch(function (error) {
          console.log(error);
        });
    },
    onRewardVideoLoad: function (callback) {
      document.addEventListener('admob.rewardvideo.events.LOAD', callback);
    },
    cleanOnRewardVideoLoad: function(callback) {
      document.removeEventListener('admob.rewardvideo.events.LOAD', callback);
    },
    onRewardVideoLoadFail: function (callback) {
      document.addEventListener('admob.rewardvideo.events.LOAD_FAIL', callback);
    },
    cleanOnRewardVideoLoadFail: function (callback) {
      document.removeEventListener('admob.rewardvideo.events.LOAD_FAIL', callback);
    },
    onRewardVideoClose: function (callback) {
      document.addEventListener('admob.rewardvideo.events.CLOSE', callback);
    },
    cleanOnRewardVideoClose: function (callback) {
      document.removeEventListener('admob.rewardvideo.events.CLOSE', callback);
    },
    rewardVideoShow: function () {
      admob.rewardvideo.show();
    },
    onReward: function (callback) {
      document.addEventListener('admob.rewardvideo.events.REWARD', callback);
    },
    cleanOnReward: function (callback) {
      document.removeEventListener('admob.rewardvideo.events.REWARD', callback);
    }
  }
});