var CleaningSpeed = {
  slow: 1000,
  medium: 300,
  fast: 100
}

services.factory('$vkfilter', function(){
  return {
    speed: CleaningSpeed.slow,
    setSlowSpeed: function() {
      this.speed = CleaningSpeed.slow;
    },
    setMediumSpeed: function() {
      this.speed = CleaningSpeed.medium;
    },
    setFastSpeed: function() {
      this.speed = CleaningSpeed.fast;
    },
    addSpeed: function(delta) {
      if (this.speed - delta > CleaningSpeed.fast) {
        this.speed -= delta;
      }
    },
    check : function(obj) {
      var _this = this;
      var result = true;
      for (filter in _this.filters) {
        var action = _this[_this.context][filter];
        if (typeof(action) == 'function') {
          result = result && action(obj, _this.filters[filter]);
        }
      }
      return result;
    },
    wall : {
       userId : function(post, value) {
         return post.from_id === value;
       },
       content : function(post, content) {
          return post.text.toLowerCase().search(content.toLowerCase()) > -1;
        },
        date_older : function (post, value) {
          return post.date < value;
        },
        date_younger : function (post, value) {
          return post.date > value;
        },
        period : function (post, value) {
          return (post.date >= value.from && post.date < value.to + 60);
        },
        likesLess : function(post, value) {
          return post.likes.count < value;
        },
        likesMore : function(post, value) {
          return post.likes.count > value;
        },
        likesWith : function(post, value) {
          return post.likes.count === value;
        }
      },
    photos : {
      likesLess : function(photo, value) {
        return photo.likes.count < value;
      },
      likesMore : function(photo, value) {
        return photo.likes.count > value;
      },
      likesWith : function(photo, value) {
        return photo.likes.count === value;
      },
      albums : function(photo, array) {
        for (id in array) {
          if (array[id] === photo.album_id) {
            return true;
          }
        }
        return false;
      }
    },
    communities : {
      safeCommunity : function(community, safe_id) {
        return community.id != safe_id;
      },
      membersLess : function(community, value) {
        return community.members_count < value;
      },
      membersMore : function(community, value) {
        return community.members_count > value;
      },
      membersWith : function(community, value) {
        return community.members_count === value;
      }
    },
    audio : {
      artist : function(audio, value) {
        return audio.artist.toLowerCase().search(value.toLowerCase()) > -1;
      }
    },
    friends : {
      deleted : function(page, value){
        if (page.deactivated) {
          return page.deactivated === 'deleted';
        }
        return false;
      },
      deactivated : function(page, value) {
        return typeof(page.deactivated) != 'undefined';
      },

      last_seen : function(page, time) {
        if (page.last_seen) {
          return page.last_seen.time <= time;
        }
        return false;
      }
    },

    filters : {
    }
  }
});
